## flexpart 9.02

=== debian/changelog ===
flexpart (9.02-27) unstable; urgency=medium

  * Use dh-fortran-mod to get default fmoddir, flibdrir. Closes: #1119734
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Nov 2025 09:53:20 +0000

flexpart (9.02-26) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix broken Vcs URL.

  [ Alastair McKinstry ]
  * Rebuild against eccodes >= 2.30.0-2 for gfortran-13. Closes: #1037659
  * Standards--Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2023 08:31:00 +0100

flexpart (9.02-25) unstable; urgency=medium

  * Rebuild against gfortran-12. Closes: #1012929
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jul 2022 10:19:00 +0100

flexpart (9.02-24) unstable; urgency=medium

  * Rebuild against eccodes >= 2.23.0-2 for gcc-11. Closes: #984128
  * Move to debhelper-compat 13
  * Standards-Version: 4.6.0
  * Point Vcs-Git, g/gbp.conf to DEP-14 branches

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 23:24:35 +0100

flexpart (9.02-23) unstable; urgency=medium

  * Fix for FTBFS with gfortran-10: Increase some arrays so that real(8)
    used everywhere. Closes: #957210
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Apr 2020 11:32:52 +0100

flexpart (9.02-22) unstable; urgency=medium

  * Depend on gfortran | fortran-compiler, to allow for flang.
  * Look for f95 compiler rather than hard-coded gfortran
  * Rebuild against libeccodes (>= 2.13.1-2). Closes: #925683
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Aug 2019 08:16:20 +0100

flexpart (9.02-21) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Use canonical gfortran name in $fmoddir.
  * Build against libeecodes (>= 2.10.0-3) for correct $fmoddir.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jan 2019 06:53:04 +0000

flexpart (9.02-20) unstable; urgency=medium

  * Add $fmoddir to include line. Closes: #917734
  * Standards-Version: 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 07:59:33 +0000

flexpart (9.02-19) unstable; urgency=medium

  * Compile with -I/usr/include/$(MULTIARCH). Closes: #897518
  * Standards-Version: 4.1.4
  * Add -g to compile line for debug info

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 May 2018 13:20:12 +0100

flexpart (9.02-18) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Move VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Mar 2018 13:35:05 +0000

flexpart (9.02-17) unstable; urgency=medium

  * Mov to Standards-Version: 4.1.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Sep 2017 10:50:26 +0100

flexpart (9.02-16) unstable; urgency=medium

  * Standards-Version: 4.0.0'; no changes required
  * Add gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 10:36:11 +0100

flexpart (9.02-15) unstable; urgency=medium

  * arm64 now requires -fno-pie to build

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2016 09:33:26 +0000

flexpart (9.02-14) unstable; urgency=medium

  * Move to debhelper 10.
  * Build against eccodes instead of gribapi
  * Update homepage to http://www.flexpart.eu

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Dec 2016 07:01:35 +0000

flexpart (9.02-13) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Set LC_ALL=C when sorting objs for compilation, to aid reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 10:14:36 +0100

flexpart (9.02-12) unstable; urgency=medium

  * Remove -ljasper as unnecessary. libjasper is being removed from Debian
    as obsolete and  unsupported
  * Move to Standards-Version: 3.9.7

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 15:37:20 +0000

flexpart (9.02-11) unstable; urgency=medium

  * Rebuild for gfortran, grib_api.mod change. Closes: #777851.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Aug 2015 20:47:05 +0100

flexpart (9.02-10) unstable; urgency=medium

  * Build with -mcmodel=large on arm74, ppc64el. Closes: #767213.
  * Move to Standards-Version: 3.9.6
  * Add Vcs-Git to debian/control. Point to debian-science.
  * Patch from Andreas Beckmann:
    * postinst: Do not run update-alternatives --auto as that would override
       local customization.
    * prerm: Remove the correct alternative.  (Closes: #729212)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jul 2015 07:59:02 +0100

flexpart (9.02-9) unstable; urgency=medium

  * Put env. variables in debian/rules in quotes to cope with
   spaces. CLoses: #755796, thanks to Dejan Latinovic.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jul 2014 13:06:05 +0100

flexpart (9.02-8) unstable; urgency=medium

  * Terminate wih extremer prejudice: use --remove-all not --remove
    in update-alternatives. Closes: #729212.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Dec 2013 10:44:48 +0000

flexpart (9.02-7) unstable; urgency=medium

  * Re-add B-D on jasper that got dropped by mistake.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 14:22:03 +0000

flexpart (9.02-6) unstable; urgency=medium

  * update-alternatives now removes alternatives on rm. Closes: #729212.
  * Standards-Version: 3.9.5. No changes required.
  * Move to section: science. Closes: #729444.
  * Fix typo in homepage URL. Closes: #730446.
  * Add -Wl,--as-needed to remove unnecessary links in makefiles

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Dec 2013 10:52:47 +0000

flexpart (9.02-5) unstable; urgency=low

  * Another typo. Closes: #728128.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Nov 2013 19:12:35 +0000

flexpart (9.02-4) unstable; urgency=low

  * Fix typo in patch. Also extend to kFreebsd. Closes: #728128.


