=== debian/watch ===
version=3
http://zardoz.nilu.no/~flexpart/flexpart/FLEXPART_(\d)0.(\d+).tar.gz
